.ckeditor :is(h2, h3, h4, h5, h6) {
  --heading--margin-bottom: 0.35em;
}

.ckeditor h3.h3-as-h2,
.ckeditor h4.h4-as-h2 {
  --heading--font-size: var(
    --h2--font-size,
    clamp(1.5625rem, 1.26953125rem + 1.46484375vw, 2.44140625rem)
  );
  --heading--line-height: 1.25;
  --heading--font-weight: 700;
  --heading--letter-spacing: -0.835px;
}
.ckeditor h3.h3-as-h2:is(:not(:first-child)),
.ckeditor h4.h4-as-h2:is(:not(:first-child)) {
  --heading--margin-top: 0.75em;
}

.ckeditor h2.h2-as-h3,
.ckeditor h4.h4-as-h3 {
  --heading--font-size: var(
    --h3--font-size,
    clamp(1.25rem, 1.1458333333rem + 0.5208333333vw, 1.5625rem)
  );
  --heading--line-height: 1.333;
  --heading--font-weight: 800;
}
.ckeditor h2.h2-as-h3:is(:not(:first-child)),
.ckeditor h4.h4-as-h3:is(:not(:first-child)) {
  --heading--margin-top: 0.75em;
}

.ckeditor h2.h2-as-h4,
.ckeditor h3.h3-as-h4 {
  --heading--font-size: var(
    --h4--font-size,
    clamp(1rem, 0.9166666667rem + 0.4166666667vw, 1.25rem)
  );
  --heading--line-height: 1.5;
  --heading--font-weight: 800;
}
.ckeditor h2.h2-as-h4:is(:not(:first-child)),
.ckeditor h3.h3-as-h4:is(:not(:first-child)) {
  --heading--margin-top: 0.75em;
}

.ckeditor ul, .ckeditor ol {
  --list--line-height: 1.75;
  --list--max-width: 80ch;
}
.ckeditor ul:last-child, .ckeditor ol:last-child {
  margin-bottom: 0;
}
.ckeditor :is(h2, h3, h4, h5, h6):first-child {
  --heading--margin-top: 0;
}
.ckeditor figure {
  --figure--display: table;
  margin-bottom: 18px;
}
.ckeditor blockquote {
  --p--color: var(--inline-blockquote--color);
  padding-block: 18px;
  padding-inline: 35.15625px;
  background-color: var(--inline-blockquote--bg-color);
  border-left: 4.718592px solid var(--border-highlight);
}
.ckeditor .small-text {
  --p--font-size: 0.64rem;
}
.ckeditor .align-left {
  --img--width: 100%;
  margin-right: 18px;
  float: left;
  max-width: 40%;
  margin-bottom: 18px;
}
.ckeditor .align-right {
  --img--width: 100%;
  margin-left: 18px;
  float: right;
  max-width: 40%;
  margin-bottom: 18px;
}
.ckeditor .align-center img {
  margin: 0 auto;
  margin-bottom: 18px;
}
